"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  __name: "myCenter",
  setup(__props) {
    common_vendor.onLoad(() => {
    });
    const list = common_vendor.ref([
      {
        id: 1,
        title: "我的信息",
        url: "../../static/images/message.png",
        page: "/pages/myMsg/myMsg"
      },
      {
        id: 2,
        title: "消息提醒",
        url: "../../static/images/warn.png",
        page: "/pages/msgWarn/msgWarn"
      }
    ]);
    const goPage = (url) => {
      common_vendor.index.navigateTo({
        url
      });
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(list.value, (item, k0, i0) => {
          return {
            a: item.url,
            b: common_vendor.t(item.title),
            c: item.id,
            d: common_vendor.o(($event) => goPage(item.page), item.id)
          };
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-eea72321"], ["__file", "E:/workSpace/WanZai_School_app/pages/myCenter/myCenter.vue"]]);
wx.createPage(MiniProgramPage);
